<?php
$pwds='FFFFF';//就当是操作这个文件的密码吧
$pwd =  @$_GET['t'];//接收传过来的密码,参数是以  域名+.php?t=密码  的方式传参
if(md5($pwd) <> md5($pwds)){//验证两个密码的MD5值
    echo 'Fall';
    return;
}
include_once("connect.php");//载入连接数据库的文件
//POST传过来的参数
$type =$_POST['type'];//收款方式
$amount = $_POST['amount'];//金额
$Transaction = $_POST['trans'];//订单号
$remarks =$_POST['remarks'];//备注
$times = date("Y-m-d H:i:s");//时间
if($type == '' and $amount=='' and $Transaction=='' and $remarks==''){//传过来的参数不能全部是空值
@mysqli_close($link);
    echo 'Fall';
    return;
}
@mysqli_query($link,'set names utf8');//设置可以退插入中文，如果插入乱码可以删除这句代码

$SQL = "INSERT INTO `$database`.`records`(`type`, `amount`, `trans`, `remarks`, `times`) VALUES ('$type', '$amount', '$Transaction', '$remarks', '$times')";//插入到数据库

$result = @mysqli_query($link,$SQL);
@mysqli_close($link);//关闭数据库句柄
if(true == $result){//插入到数据库成功返回OK，失败返回FALL
@mysqli_close($link);
    echo'OK';
    return;
}
echo'Fall';
@mysqli_close($link);
?>
